# WOK
TKWOK
WOKStep

# WOKStep_WNTCollect Class Reference

`#include <WOKStep_WNTCollect.hxx>`

Inheritance diagram for WOKStep_WNTCollect:

[legend]

## Public Member Functions

Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Protected Member Functions

Standard_EXPORT | WOKStep_WNTCollect (const Handle(WOKMake_BuildProcess)&abp, const Handle(WOKernel_DevUnit)&aUnit, const Handle(TCollection_HAsciiString)&aCode, const Standard_Boolean checked, const Standard_Boolean hidden)
| provides initialization
Standard_EXPORT Handle_TCollection_HAsciiString | AdmFileType () const
| returns type of ADM file
virtual Standard_EXPORT Handle_WOKBuilder_WNTCollector | ComputeTool ()=0
| computes build tool
virtual Standard_EXPORT Handle_WOKBuilder_HSequenceOfObjectFile | ComputeObjectList (const Handle(WOKMake_HSequenceOfInputFile)&anInput)
| computes object list to build
Standard_EXPORT Handle_TCollection_HAsciiString | OutputDirTypeName () const
| returns output directoty type name
Standard_EXPORT void | CompleteExecList (const Handle(WOKMake_HSequenceOfInputFile)&anExecList)
Standard_EXPORT Standard_Boolean | HandleOutputFile (const Handle(WOKMake_OutputFile)&aFile)
| Handles Output file new/same/disappereread .

## Private Attributes

Standard_Boolean | myInitFlag
WOKTools_IndexedMapOfHAsciiString | myuds
WOKTools_IndexedMapOfHAsciiString | mytks
WOKTools_MapOfHAsciiString | myautorized
Standard_Boolean | myauthlist
WOKTools_MapOfHAsciiString | mytreated
Handle_TColStd_HArray2OfBoolean | mymatrix

## Constructor & Destructor Documentation

Standard_EXPORT WOKStep_WNTCollect::WOKStep_WNTCollect | ( | const Handle(WOKMake_BuildProcess)& | abp,
|  | const Handle(WOKernel_DevUnit)& | aUnit,
|  | const Handle(TCollection_HAsciiString)& | aCode,
|  | const Standard_Boolean | checked,
|  | const Standard_Boolean | hidden
| ) | `[protected]`

## Member Function Documentation

Standard_EXPORT Handle_TCollection_HAsciiString WOKStep_WNTCollect::AdmFileType | ( |  | ) | const`[protected, virtual]`

| Implements WOKMake_Step.

Standard_EXPORT void WOKStep_WNTCollect::CompleteExecList | ( | const Handle(WOKMake_HSequenceOfInputFile)& | anExecList | ) | `[protected, virtual]`

| Reimplemented from WOKMake_Step.

virtual Standard_EXPORT Handle_WOKBuilder_HSequenceOfObjectFile WOKStep_WNTCollect::ComputeObjectList | ( | const Handle(WOKMake_HSequenceOfInputFile)& | anInput | ) | `[protected, virtual]`

| Reimplemented in WOKStep_EXELink.

virtual Standard_EXPORT Handle_WOKBuilder_WNTCollector WOKStep_WNTCollect::ComputeTool | ( |  | ) | `[protected, pure virtual]`

| Implemented in WOKStep_DLLink, WOKStep_EXELink, WOKStep_ImportLibrary, and WOKStep_StaticLibrary.

Standard_EXPORT const WOKStep_WNTCollect::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from WOKMake_Step. Reimplemented in WOKStep_DLLink, WOKStep_EXELink, WOKStep_ImportLibrary, WOKStep_StaticLibrary, WOKStep_WNTLibrary, and WOKStep_WNTLink.

Standard_EXPORT Standard_Boolean WOKStep_WNTCollect::HandleOutputFile | ( | const Handle(WOKMake_OutputFile)& | aFile | ) | `[protected, virtual]`

| Reimplemented from WOKMake_Step.

Standard_EXPORT Handle_TCollection_HAsciiString WOKStep_WNTCollect::OutputDirTypeName | ( |  | ) | const`[protected, virtual]`

| Implements WOKMake_Step.

## Field Documentation

Standard_Boolean WOKStep_WNTCollect::myauthlist `[private]`

WOKTools_MapOfHAsciiString WOKStep_WNTCollect::myautorized `[private]`

Standard_Boolean WOKStep_WNTCollect::myInitFlag `[private]`

Handle_TColStd_HArray2OfBoolean WOKStep_WNTCollect::mymatrix `[private]`

WOKTools_IndexedMapOfHAsciiString WOKStep_WNTCollect::mytks `[private]`

WOKTools_MapOfHAsciiString WOKStep_WNTCollect::mytreated `[private]`

WOKTools_IndexedMapOfHAsciiString WOKStep_WNTCollect::myuds `[private]`

The documentation for this class was generated from the following file:

- WOKStep_WNTCollect.hxx